petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectDestroy

Destroys any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectDestroy(PetscObject *obj)

Collective on PetscObject

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. This must be cast with a (PetscObject*), for example, PetscObjectDestroy((PetscObject*)&mat);

Level:beginner
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages